stages:
  - build

variables:
  PACKAGE_NAME: "XPlanArchiv"
  PACKAGE_VERSION: "1.0"

# Upload to packages (https://gitlab.opencode.de/xleitstelle/xplanung/testdaten/-/packages/) from main branch
zip-and-upload:
  stage: build
  image: alpine
  before_script:
    - apk add --update bash curl jq zip
  script:
    - ./packFiles.sh
    - './deletePreviousPackage.sh $TokenToRedeployPackages'
    - 'while IFS= read -r filename; do echo "Uploading $filename"; curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file build/$filename "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/$PACKAGE_NAME/$PACKAGE_VERSION/$filename"; done < <(ls -1 build)'
  only:
    - main